Tải bản đầy đủ

Sử dụng phần mềm visual basic for application xây dựng chương trình tính toán thiết kế bầu làm mát dầu LO cho tàu hàng 34000 tấn lắp máy MAN bw 6S46MC c

MỞ ĐẦU
Tính thời sự của đề tài
Trong những năm gần đây, cùng với sự phát triển mạnh mẽ của công nghiệp
đóng tàu trong cả nước, nhu cầu nội địa hóa các trang thiết bị dưới tàu đang được quan
tâm đặc biệt. Động cơ Diesel là một thiết bị động lực chính được áp dụng rộng rãi không
chỉ dưới tàu thuỷ mà cả trên nhiều thiết bị giao thông, vận chuyển khác. Mặt khác, với
giá thành tương đối lớn so với một con tàu việc sản xuất động cơ Diesel trong nước đang
được nhà nước đặc biệt quan tâm bằng việc đầu tư xây dựng nhiều cơ sở chế tạo và lắp
ráp động cơ Diesel có công suất lớn. Để chế tạo động cơ Diesel không chỉ đầu tư về cơ
sở vật chất thiết bị mà còn phải quan tâm đầu tư nâng cao khả năng thiết kế và nghiên
cứu công nghệ chế tạo các thiết bị, chi tiết của động cơ.
Các chi tiết cơ bản của động cơ Diesel được chế tạo phải đảm bảo các chi tiêu
về kinh tế và kỹ thuật theo các hệ thống tiêu chuẩn nhất định. Như vậy, quá trình tính
toán thiết kế các chi tiết của động cơ có ý nghĩa rất quan trọng đối với chất lượng chế
tạo của chúng, việc nghiên cứu hướng tới một phần mềm tự động hoá thiết kế các chi
tiết cơ bản của động cơ Diesel thực sự là một vấn đề cấp thiết hiện nay đối với nước ta
và cả trên thế giới.
Trong công nghệ chế tạo động cơ Diesel các thiết bị gia công kỹ thuật số được
áp dụng ở hầu hết các bước gia công, các chi tiết được thiết kế dưới dạng bản vẽ CAD
có thể tiếp cận gần hơn với ngôn ngữ của máy gia công CNC và có thể dễ dàng sử dụng
tích hợp với các ngôn ngữ lập trình khác như C ++, Delphi, Turbo .v.v... để áp dụng các

phần mềm tính toán khác đã có sẵn trong thiết kế tối ưu hoá các chi tiết của động cơ
Diesel. Vì vậy, sử dụng ngôn ngữ lập trình VBA (Visual Basic for Application) để tự
động hoá thiết chi tiết xylanh của động cơ Diesel 4 kỳ là hợp lý và cần thiết.
Mục đích của đề tài
Sử dụng phần mềm Visual Basic for Application xây dựng chương trình tính
toán thiết kế bầu làm mát dầu LO cho tàu hàng 34000 tấn lắp máy MAN B&W
6S46MC-C


Nội dung chính của đề tài
Đề tài gồm các chương sau:
Chương 1: Tìm hiểu về bộ ngôn ngữ Visual Studio
Chương 2: Cơ sở lý thuyết thiết kế bầu làm mát dầu LO
Chương 3: Sơ đồ thuật toán và dao diện của chương trình
Chương 4: Kết quả chạy phần mềm
Phương pháp nghiên cứu của đề tài
Về lý thuyết trên cơ sở các tài liệu liên quan đến thiết kế động cơ Diesel xây dựng
phận mềm tính toán thiết kế bầu làm mát LO của tàu 34000 tấn bằng ngôn ngữ lập
trình Visual Basic for Application..
Phạm vi nghiên cứu của đề tài
Xây dựng chương trình tính toán thiết kế bầu làm mát LO cho tàu 34000 tấn
Ý nghĩa khoa học và thực tiễn
Ứng dụng phần mềm lập trình Visual Basic for Application vào việc thiết kế và hỗ
trợ cho việc vẽ AutoCad.
Thiết kế một chương trình tự động thiết kế bầu làm mát dầu LO 4 là một công việc
rất lớn, đòi hỏi nhiều công sức và thời gian. Với điều kiện còn hạn chế về thời gian và
kinh nghiệm lập trình, nội dung đề tài này mới chỉ đề cập tới việc tính toán các kích
thước cơ bản. Tuy vậy đề tài cũng mong muốn đưa ra được một hướng nghiên cứu lâu
dài, tạo cơ sở ban đầu cho việc nghiên cứu hoàn thiện một chương trình của Việt Nam
để tự động thiết kế và chế tạo các thiết bị máy phụ trong buồng máy, góp phần vào sự
phát triển của công nghiệp chế tạo máy nước nhà và làm tài liệu bổ ích cho sinh viên
trong học tập và nghiên cứu khoa học.

2


I, CHƯƠNG 1 : TÌM HIỂU VỀ BỘ NGÔN NGỮ LẬP TRÌNH VISUAL STUDIO
CỦA MICROSOFT VÀ VBA DO CHÍNH AUTODESK PHÁT TRIỂN.
1.1.


Giới thiệu về VISUAL STUDIO :
Bộ Visual Studio bao gồm các ngôn ngữ lập trình trực quan:
- Microsoft Visual C++.
- Microsoft Visual J++.
- Microsoft Visual Basic.
- Microsoft Visual Foxpro.
- Microsoft Visual InterDev.
Mỗi một ngôn ngữ lập trình có một đặc điểm riêng, có một miền ứng dụng riêng.

Tuy nhiên để quan tâm tối các vấn đề mạng, quản trị cơ sở dữ liệu với mạng, xây dựng
các hệ thống phần mềm lớn với mạng ta phải kể tới Visual J ++. Visual InterDev được
dùng để thiết kế trang Web, kết hợp với Visual Basic để quản trị cơ sở dữ liệu và
thương mại điện tử. Trong ngành máy tàu, thì ta cần phải quan tâm tới 3 ngôn ngữ còn
lại đó là Visual C++, Visual Basic, và Visual FoxPro.
Visual C++ là một ngôn ngữ lập trình dựa trên nền tảng cơ bản của C ++ đó là lập
trình hướng đối tượng. Khi thực hiện lập trình trên C/C ++, để tạo ra các giao dịch phức
tạp, trình bày đẹp hoàn toàn không đơn giản. Nhưng đối với Visual C ++ thì việc đó khá
đơn giản. Người lập trình chỉ cần sử dụng các điều khiển hay xây dựng một menu đưa
vào ứng dụng của mình mà các mã lệnh cần phải viết không quá dài dòng và phức tạp
như trong C/C++. Đó chính là thế mạnh của Visual C ++ trợ giúp đắc lực cho người lập
trình trong khi xây dựng những đề án chương trình lớn hoặc trong kỹ thuật lập trình hệ
thống.
VisualBasic: Phần “Visual’’ đề cập đến phương pháp được sử dụng để tạo giao
diện đồ họa người dùng (GUI), tức là người lập trình có thể trực tiếp tạo các giao diện
đồ hoạ như Form, nút bấm, hộp chọn, hộp nhập dữ liệu. Phần “Basic’’ đề cập đến ngôn
ngữ lập trình BASIC là ngôn ngữ cơ sở cho ngôn ngữ Visual Basic. BASIC là ngôn
ngữ được nhiều nhà lập trình sử dụng hơn bất kỳ ngôn ngữ nào khác trong lịch sử máy

3


tính. Ngôn ngữ Visual Basic đã được tạo ra từ ngôn ngữ BASIC gốc và hiện nay có
chứa hàng trăm hàm, câu lệnh, từ khoá liên hệ trực tiếp đến Windows GUI. Những
người mới bắt đầu có thể tạo các ứng dụng hữu ích bằng cách học chỉ vài từ khoá, khả
năng của ngôn ngữ này cho phép những người chuyên nghiệp hoàn thành bất kỳ điều
gì mà tạo được từ những ngôn ngữ lập trình Windows nào khác.
Các công cụ của Visual Basic:
- Các đặc tính truy cập dữ liệu cho phép ta tạo ra các cơ sở dữ liệu, các trình
ứng dụng trọn gói, các thành phần vip server dành cho hầu hết các định dạng cơ sở dữ
liệu của vip bao gồm Microsoft SQL Server và các cơ sở dữ liệu enterpries – level
khác.
- Các kỹ thuật hoạt động xtm cho phép ta sử dụng chức năng cung cấp bởi các
trình ứng dụng khác, chẳng hạn máy sử lý từ Micrsoft Word, trang bảng tính Microsoft
Exel, và các trình ứng dụng Windows khác.
- Các khả năng internet làm cho nó dễ dàng truy cập đến các tài liệu và các
trình ứng dụng thông qua Internet hoặc Internet từ trong trình ứng dụng của nó, hoặc
để tạo các trình ứng dụng Internet server.
1.2. Đặc điểm của Microsoft VISUAL STUDIO
1.2.1. Ưu điểm
- Microsoft Visual Studio là bộ công cụ lập trình trực quan, có nghĩa là người lập
trình có thể tạo ra chương trình có giao diện đồ hoạ của Windows một cách dễ dàng chỉ
bằng vài cái nhấp chuột. Như vậy công cụ lập trình Microsoft Visual Studio giúp giảm
nhẹ rất lớn công việc lập trình của người lập trình.
- Microsoft Visual Studio chứa trong những chiến lược lập trình hết sức mới mẻ
và hiện đại như lập trình hướng đối tượng, xây dựng chương trình thành các mô dun,
sử dụng thư viện liên kết động. Điều này làm cho nó trở thành một công cụ phổ biến,
được nhiều người lựa chọn để lập trình trên thế giới hiện nay.
- Với Microsoft Visual Studio người lập trình có thể làm được mọi điều mà họ
muốn trong chương trình của mình, với bộ nhớ của chương trình là không có giới hạn
(chỉ phụ thuộc vào bộ nhớ của máy tính).
1.2.2. Nhược điểm

4


Nói đến nhược điểm của Microsoft Visual Studio thực ra chỉ là đề cập đến
những khía cạnh không chuyên nghiệp của nó về một lĩnh vực cụ thể, còn lại nó rất
nhiều ưu điểm so với các ngôn ngữ lập trình hiện nay. Microsoft Visual Studio được
thiết kế để lập trình ra những ứng dụng thông thường, phần lớn là nhằm vào các ứng
dụng mang tính thương mại, do vậy nó không thể chuyên về một lĩnh vực nào. Như
vậy, trong ngành cơ khí máy tàu, ta có thể dùng nó để lập trình ra các chương trình tính
toán thông thường. Nếu muốn tạo ra các chương trình mang nặng tính khoa học thì
ngôn ngữ lực chọn để lập trình tốt hơn sẽ là Fortran, còn muốn tạo chương trình vẽ các
bản vẽ cơ khí thì ngôn ngữ được lựa chọn tốt hơn sẽ là AutoLisp.
1.3. Ngôn ngữ lập trình Visual Basic For Application
Sự quen thuộc với AutoCAD của người làm công tác thiết kế là hiển nhiên bởi
khả năng hỗ trợ tạo bản vẽ kỹ thuật tuyệt vời cùng tính dễ dùng của nó. Tuy vậy, với
đòi hỏi ngày càng cao của công việc, AutoCAD đang dần phát triển, từ một môi trường
hỗ trợ tạo bản vẽ, đã biến thành một môi trường tích hợp, mà ở đó người dùng có thể
lấy AutoCAD làm nền để xây dựng cho mình những công cụ làm việc có khả năng tùy
biến cao, vượt ra khỏi giới hạn là công cụ tạo bản vẽ thông thường. công cụ phát triển
AutoCAD là VBA thực sự thích hợp để xây dựng những công cụ mang tính chất tự
động như thế. Thứ nhất, nó được tích hợp sẵn trong AutoCAD và có thể khai thác mọi
khả năng sẵn có trong AutoCAD. Thứ hai, ngôn ngữ lập trình VB rất phổ biến bởi tính
dễ sử dụng và nhiều tài liệu tham khảo, điều này rất hữu ích cho người lập trình bằng
VBA.
Mặc dù hiện tại có rất nhiều ngôn ngữ lập trình liên quan tới ngành máy tàu
thủy nhưng với những ưu điểm đã nêu của ngôn ngữ Visual Basic for Application thì
trong phạm vi chương trình này sẽ được lựa chọn để tiến hành xây dựng phần mềm.
Tuy đây là ngôn ngữ còn một số hạn chế nhưng với yêu cầu không quá cao và phạm vi
nghiên cứu chỉ nằm ở việc thiết kế một chi tiết xylanh của động cơ diesel 4 kỳ nên việc
lựa chọn ngôn ngữ Visual Basic for Application là rất hợp lý.

5


CHƯƠNG 2 : CƠ SỞ LÝ THUYẾT THIẾT KẾ CHI TIẾT THIẾT BỊ TRAO ĐỔI
NHIỆT SINH HÀN LO

Hình 1: Kết cấu của sinh hàn

2.1. Nguyên lý làm việc và yêu cầu Yêu cầu cơ bản của sinh hàn.
Hệ thống bôi trơn được thiết kế theo phương pháp xử lý dầu song song: có 2
hệ thống bôi trơn độc lập
+ Hệ thống bôi trơn tuần hoàn: Dầu được bơm LO chính hút dầu từ két dầu
tuần hoàn đẩy lên sinh hàn LO qua bầu lọc tự động vào đi vào bôi trơn động cơ. Kết
thúc quá trình bôi trơn động cơ dầu được đưa trở lại két LO tuần hoàn. Ngoài ra với
hệ thống bôi trơn tuần hoàn máy chính còn bố trí thêm hệ thống tuần hoàn bôi trơn

6


xilanh riêng biệt: Dầu từ 2 két dầu bôi trơn xilanh trực nhật (đặt trên boong A) được
đưa tới két đo lường trước khi đưa tới bộ cấp dầu cho xilanh, dầu thừa được đưa trở
lại két đầu trực nhật.
+ Hệ thống xử lý dầu nhờn: Song song với hệ thống bôi trơn tuần hoàn, một
bộ phận dầu từ két tuần hoàn và các két LO dự trữ được bơm cấp dầu cho máy phân
ly hút và đẩy vào bầu hâm. Sau khi qua bầu hâm, dầu có nhiệt độ khoảng 60 0C và
được dẫn vào máy phân ly. Dầu sạch ra khỏi máy phân ly được đưa trở lại két LO
tuần hoàn, đưa tới bôi trơn các máy đèn và còn được đưa tới két LO sạch để từ được
đưa tới bôi trơn các máy móc khác hay cho các nhu cầu sử dung dầu bôi trơn khác.
Hệ thống bôi trơn được bố trí để bôi trơn các ổ đỡ trục chong chóng trong ống bao
trục, cấp dầu cho cụm làm kín ống bao phía trước và phía sau
2.3. Các công thức sử dụng để tính kết cấu của sinh hàn.
No.

HẠNG MỤC TÍNH



ĐƠN

CÔNG THỨC

GIÁ

HIỆU

VỊ

CÁCH XÁC ĐỊNH

TRỊ

1

Công suất của máy chính

Ne1

hp

Theo lý lịch máy

10690

2

Công suất của máy đèn

Ne2

hp

Theo lý lịch máy

897

3

Số lượng máy đèn

Z

tổ

Theo thiết kế

gm

g/hp.h

Theo lý lịch máy

0,64

gmp

g/hp.h

Theo lý lịch máy

0,75

k



Theo thiết kế

0,7

4
5
6

Suất tiêu hao dầu bôi trơn
máy chính
Suất tiêu hao dầu bôi trơn
máy đèn
Hệ số hoạt động đồng thời
của các máy đèn

3

7

Hệ số dự trữ dầu bôi trơn

k1



Chọn

1,2

8

Hệ số sử dụng dầu bôi trơn

k2



Chọn

1,1

9

Hệ số dung tích két

k3



Chọn

1,12

7


No.

HẠNG MỤC TÍNH

10 Tỷ trọng dầu bôi trơn
11
12
13
14
15
16
17

Thời gian hoạt động liên tục
của phương tiện
Lượng dầu bôi trơn tiêu hao
trong hành trình
Lượng dầu bôi trơn trong hệ
thống tuần hoàn máy chính
Lượng dầu bôi trơn trong hệ
thống tuần hoàn máy đèn
Chu kỳ thay dầu của máy
chính
Chu kỳ thay dầu của máy
đèn
Dung tích két dầu bôi trơn
dự trữ



ĐƠN

CÔNG THỨC

GIÁ

HIỆU

VỊ

CÁCH XÁC ĐỊNH

TRỊ

γm

kg/l

Chọn theo loại dầu

0,92

Tht

h

Theo nhiệm vụ thư

720

Bm

kg

W

(g

m

N e1 + g mp N e 2 .Z .k )

( k1 k 2T ) −1 .10 3

7392

l

Theo lý lịch máy

3800

Wp

l

Theo lý lịch máy

580

T

h

Theo lý lịch máy

1000

Tp

h

Theo lý lịch máy

500

Vm

l

 B m Tht

T

+
W + ht W p k 3
γ

Tp
 m T


12998

Bảng 6.5:Tính dung tích dự trữ dầu bôi trơn
Kết luận:
Tàu được trang bị két chứa dầu bôi trơn có:
V1 = 20 m3

– Tổng dung tích các két dự trữ:

– Tổng dung tích các két dự trữ dầu bôi trơn xilanh: V2 = 70 m3

- Nguyên tắc trao nhiệt
+Nước ngọt làm nhiệm vụ đi trong ống
+ Dầu làm chất trao nhiệt đi bên ngoài ống và có chiều ngược với chiều lưu
động của nước để tăng tác dụng truyền nhiệt.
- Tính toán bầu làm mát

8


*. Nhiệt lượng của động cơ truyền cho dầu nhờn
Qd = Cd.Vd .ρ. (tdv - tdr )
Trong đó
Qd - Nhiệt lượng của động cơ truyền cho dầu nhờn
Cd - Tỉ nhiệt của dầu nhờn Cd = 0,5 (kcal/kg.0 C)
ρ - Trọng lượng riêng của dầu nhờn ρ = 0,92 (kg/lit)
tdv , tdr - Nhiệt độ dầu vào và ra sinh hàn
Đối với động cơ điesel thì ∆t = tdv - tdr = 40 ÷ 600C
chọn ∆t = 200C
Vd - Lưu lượng dầu tuần hoàn đi qua bầu sinh hàn
-Máy chính Vd1 = 3800= (lit/h)
- 3 Máy đèn

Vd2 = 1740 = (lit/h)

Kết quả: - Qd1 = 34960 (kcal/h)
- Qd2-2 =16008

(kcal/h)

Qd12=Qd1+Qd2=34960+16008=50968 kcal/h
*. Diện tích tản nhiệt của bầu làm mát

Fk =

Qd 12
K d .( td − t k )

(7-10)

Trong đó:
Fk - Diện tích tản nhiệt của bầu làm mát

9


Qd12 - Nhiệt lượng của động cơ truyền cho dầu nhờn; (kcal/h)
Kd - Hệ số truyền nhiệt tổng quát giữa dầu nhờn và môi chất làm mát chọn
bầu làm mát dùng kiểu ống thẳng và nhẵn thì Kd = 100÷300 (kcal/m2.h0C)
chọn Kd = 200 (kcal/m2.h0C)
td,tk - Nhiệt độ trung bình của dầu nhờn và của môi chất làm mát; chọn ∆t = td
- tk = 200C
-Fk1 = 12,74 (m2)

Kết quả:

*. Các kích thước cơ bản của bầu làm mát dầu nhờn
Máy chính
-

Chọn đường kính ống là: d1 = 3 cm =0,03 (m)

-

Chiều dài của ống l =2,4 (m)

-

Chọn số ống là n = ống ,được tính theo công thức
n=

Fk1
d .lπ

Thay số vào ta được: n= 56 ống

CHƯƠNG 3: XÂY DỰNG SƠ ĐỒ THUẬT TOÁN VÀ CÁC CODE LỆNH
3.1. Sơ đồ thuật toán của chương trình

10


11


3.2. Dao diện làm việc của chương trình
3.2.1. Dao diện làm việc số 1

Hình 2: dao diện làm việc đầu tiên
Giải thích dao diện :
Dao diện làm việc đầu tiên là dao diện khi người dùng bắt đầu chạy
chương trình trên nền autocad. Dao diện bao gồm những thông tin sau:
- Tên đề tài: Tính toán các thông số …
- Xây dựng phần mềm: bao gồm những thông tin về giảng viên hướng dẫn bài
tập lớn, tên sinh viên, MSV, lớp, trường.
-Thông số người dùng: phần nay bao gồm các thông tin do người dùng nhập
vào như: Họ và tên người dùng, ở đây mặc định sẽ là Võ Văn Sơn, tương tự là

12


lớp và giảng viên hướng dẫn. Những thông tin mà người dùng nhập vào sẽ
được sử dụng để in vào khung tên khi suất ra bản vẽ autocad.
-Nút bấm OK : nút bấm này sẽ lưu thông tin người dùng vào bản vẽ autocad
đồng thời chuyển sang màn hình làm việc tiếp theo. Trong lần tiếp theo sử
dụng phần mềm tiếp theo thì nút bấm OK này sẽ thực hiện xóa thông tin người
dùng trước đó và lưu thông tin người dùng mới.
- Nút bấm EXIT: nút bấm này sẽ đưa người dùng thoát khỏi ứng dụng đang làm
việc.
- Picture : là hình ảnh của sinh hàn LO.
3.2.2. Dao diện làm việc số 2

Hình 3: dao diện làm việc số 2
Giải thích dao diện số 2:

13


-Phần 1: nhập thông số đầu vào:
1) Tỉ nhiệt của dầu nhờn
2) Nhiệt độ dầu vào
3) Nhiệt độ dầu ra
4) Hệ số truyền nhiệt
5) Lưu lượng dầu tuần hoàn qua máy chính
6) Lưu lượng dầu tuần hoàn qua máy đèn
7) Trọng lượng riêng của dầu nhờn
8) Nhiệt độ trung bình của dầu nhờn và của môi chất làm mát
- Phần 2: Kết quả thông số diện tích trao đổi nhiệt
- Phần 3: nhập thông số lựa chọn kích thước sinh hàn
1) Lựa chọn đường kính ống
2) Chọn chiều dài ống.
- Phần 4: kết quả tính của các kích thước sinh hàn
1) Số lượng ống của sinh hàn
2) Đường kính bầu sinh hàn.
- Phần 5: Các nút bấm.
+ tính diện tích trao đổi nhiệt
+ tính số lượng ống và kích thước sinh hàn
+ in ra bản vẽ sinh hàn.

14


Chương 4: Cấu trúc lệnh
3.1 các code lệnh
Private Sub CommandButton1_Click()
Dim plineObj As AcadLWPolyline
Dim arcObj As AcadArc
Dim lineObj As AcadLine
Dim circleObj As AcadCircle
Dim textObj As AcadText
Dim dimObj As AcadDimAligned

Dim diemDau(0 To 2) As Double
Dim diemCuoi(0 To 2) As Double
'a1'
diemDau(0) = 0#: diemDau(1) = 0#: diemDau(2) = 0#
diemCuoi(0) = 120#: diemCuoi(1) = 0#: diemCuoi(2) = 0#
' T?o do?n th?ng trong không gian mô h?nh
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
'a2'
diemDau(0) = 120#: diemDau(1) = 0#: diemDau(2) = 0#
diemCuoi(0) = 120#: diemCuoi(1) = 60#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
'a3'
diemDau(0) = 120#: diemDau(1) = 60#: diemDau(2) = 0#
diemCuoi(0) = 0#: diemCuoi(1) = 60#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
'a4'
diemDau(0) = 0#: diemDau(1) = 60#: diemDau(2) = 0#

15


diemCuoi(0) = 0#: diemCuoi(1) = 0#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
'cac duong ong di vao va ra sinh han'
'b1'
diemDau(0) = 100#: diemDau(1) = 0#: diemDau(2) = 0#
diemCuoi(0) = 100#: diemCuoi(1) = -50#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
diemDau(0) = 100#: diemDau(1) = -65#: diemDau(2) = 0#
diemCuoi(0) = 100#: diemCuoi(1) = -100#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
'b2'
diemDau(0) = 120#: diemDau(1) = 30#: diemDau(2) = 0#
diemCuoi(0) = 140#: diemCuoi(1) = 30#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
diemDau(0) = 155#: diemDau(1) = 30#: diemDau(2) = 0#
diemCuoi(0) = 200#: diemCuoi(1) = 30#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
'b3'
diemDau(0) = 20#: diemDau(1) = 60#: diemDau(2) = 0#
diemCuoi(0) = 20#: diemCuoi(1) = 110#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
diemDau(0) = 20#: diemDau(1) = 125#: diemDau(2) = 0#
diemCuoi(0) = 20#: diemCuoi(1) = 150#: diemCuoi(2) = 0#

16


Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
'b4'
diemDau(0) = 0#: diemDau(1) = 30#: diemDau(2) = 0#
diemCuoi(0) = -20: diemCuoi(1) = 30#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
diemDau(0) = -35#: diemDau(1) = 30#: diemDau(2) = 0#
diemCuoi(0) = -60: diemCuoi(1) = 30#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
'b5'
diemDau(0) = 100#: diemDau(1) = -30#: diemDau(2) = 0#
diemCuoi(0) = 120: diemCuoi(1) = -30#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
diemDau(0) = 135#: diemDau(1) = -30#: diemDau(2) = 0#
diemCuoi(0) = 150: diemCuoi(1) = -30#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
'b6'
diemDau(0) = 20#: diemDau(1) = 90#: diemDau(2) = 0#
diemCuoi(0) = 0: diemCuoi(1) = 90#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
diemDau(0) = -15#: diemDau(1) = 90#: diemDau(2) = 0#
diemCuoi(0) = -50: diemCuoi(1) = 90#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
'b7'
diemDau(0) = 100#: diemDau(1) = -30#: diemDau(2) = 0#

17


diemCuoi(0) = 72.5: diemCuoi(1) = -30#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
diemDau(0) = 57.5: diemDau(1) = -30#: diemDau(2) = 0#
diemCuoi(0) = 45#: diemCuoi(1) = -30#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
'b8'
diemDau(0) = 20#: diemDau(1) = 90#: diemDau(2) = 0#
diemCuoi(0) = 47.5: diemCuoi(1) = 90#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
diemDau(0) = 62.5: diemDau(1) = 90#: diemDau(2) = 0#
diemCuoi(0) = 80: diemCuoi(1) = 90#: diemCuoi(2) = 0#
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
ZoomAll

Dim points(0 To 9) As Double
've cac van bo tri dau vao va dau ra sinh han 1'
points(0) = 120: points(1) = -25 ' To? d? d?nh 1
points(2) = 120: points(3) = -35 ' To? d? d?nh 2
points(4) = 135: points(5) = -25 ' To? d? d?nh 3
points(6) = 135: points(7) = -35 ' To? d? d?nh 4
points(8) = 120: points(9) = -25 ' To? d? d?nh 5
' Tao doi tuong LWPolyline trong không gian mô hinh'
Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
ZoomAll
've cac van bo tri dau vao va dau ra sinh han 2'
points(0) = 0: points(1) = 95 ' To? d? d?nh 1

18


points(2) = 0: points(3) = 85 ' To? d? d?nh 2
points(4) = -15: points(5) = 95 ' To? d? d?nh 3
points(6) = -15: points(7) = 85 ' To? d? d?nh 4
points(8) = 0: points(9) = 95 ' To? d? d?nh 5
' Tao doi tuong LWPolyline trong không gian mô hinh'
Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
've cac van bo tri dau vao va dau ra sinh han 3'
points(0) = 25: points(1) = 110 ' To? d? d?nh 1
points(2) = 15: points(3) = 125 ' To? d? d?nh 2
points(4) = 25: points(5) = 125 ' To? d? d?nh 3
points(6) = 15: points(7) = 110 ' To? d? d?nh 4
points(8) = 25: points(9) = 110 ' To? d? d?nh 5
' Tao doi tuong LWPolyline trong không gian mô hinh'
Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
've cac van bo tri dau vao va dau ra sinh han 4'
points(0) = 95: points(1) = -50 ' To? d? d?nh 1
points(2) = 105: points(3) = -50 ' To? d? d?nh 2
points(4) = 95: points(5) = -65 ' To? d? d?nh 3
points(6) = 105: points(7) = -65 ' To? d? d?nh 4
points(8) = 95: points(9) = -50 ' To? d? d?nh 5
' Tao doi tuong LWPolyline trong không gian mô hinh'
Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
've cac van bo tri dau vao va dau ra sinh han 4'
points(0) = -20: points(1) = 35 ' To? d? d?nh 1
points(2) = -20: points(3) = 25 ' To? d? d?nh 2
points(4) = -35: points(5) = 35 ' To? d? d?nh 3
points(6) = -35: points(7) = 25 ' To? d? d?nh 4

19


points(8) = -20: points(9) = 35 ' To? d? d?nh 5
' Tao doi tuong LWPolyline trong không gian mô hinh'
Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
've cac van bo tri dau vao va dau ra sinh han 4'
points(0) = 140: points(1) = 35 ' To? d? d?nh 1
points(2) = 140: points(3) = 25 ' To? d? d?nh 2
points(4) = 155: points(5) = 35 ' To? d? d?nh 3
points(6) = 155: points(7) = 25 ' To? d? d?nh 4
points(8) = 140: points(9) = 35 ' To? d? d?nh 5
' Tao doi tuong LWPolyline trong không gian mô hinh'
Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
ZoomAll
Dim centerPoint(0 To 2) As Double
Dim radius As Double
Dim startAngleInDegree As Double
Dim endAngleInDegree As Double
' Xác dinh các thu0c tính cua cung tron thu 1'
centerPoint(0) = -7.5: centerPoint(1) = 90: centerPoint(2) = 0
radius = 5 'Bán kính'
startAngleInDegree = 33.5 'Góc bat dau'
endAngleInDegree = 146.5 'Góc ket thúc'
' Chuyen các góc tao do sang Radian'
Dim startAngleInRadian As Double
Dim endAngleInRadian As Double
startAngleInRadian = startAngleInDegree * 3.141592 / 180
endAngleInRadian = endAngleInDegree * 3.141592 / 180
' Tao d0i tuong Arc trong không gian mô hinh'

20


Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian,
endAngleInRadian)
' Xác dinh các thu0c tính cua cung tron thu 2'
centerPoint(0) = -7.5: centerPoint(1) = 90: centerPoint(2) = 0
radius = 5 'Bán kính'
startAngleInDegree = 213.5 'Góc bat dau'
endAngleInDegree = 326.5 'Góc ket thúc'
' Chuyen các góc tao do sang Radian'
startAngleInRadian = startAngleInDegree * 3.141592 / 180
endAngleInRadian = endAngleInDegree * 3.141592 / 180
' Tao d0i tuong Arc trong không gian mô hinh'
Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian,
endAngleInRadian)

' Xác dinh các thu0c tính cua cung tron thu 3'
centerPoint(0) = 127.5: centerPoint(1) = -30: centerPoint(2) = 0
radius = 5 'Bán kính'
startAngleInDegree = 33.5 'Góc bat dau'
endAngleInDegree = 146.5 'Góc ket thúc'
' Chuyen các góc tao do sang Radian'
startAngleInRadian = startAngleInDegree * 3.141592 / 180
endAngleInRadian = endAngleInDegree * 3.141592 / 180
' Tao d0i tuong Arc trong không gian mô hinh'
Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian,
endAngleInRadian)
' Xác dinh các thu0c tính cua cung tron thu 4'

21


centerPoint(0) = 127.5: centerPoint(1) = -30: centerPoint(2) = 0
radius = 5 'Bán kính'
startAngleInDegree = 213.5 'Góc bat dau'
endAngleInDegree = 326.5 'Góc ket thúc'
' Chuyen các góc tao do sang Radian'
startAngleInRadian = startAngleInDegree * 3.141592 / 180
endAngleInRadian = endAngleInDegree * 3.141592 / 180
' Tao doi tuong Arc trong không gian mô hinh'
Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian,
endAngleInRadian)

' Xác dinh các thu0c tính cua cung tron thu 5'
centerPoint(0) = 20: centerPoint(1) = 117.5: centerPoint(2) = 0
radius = 5 'Bán kính'
startAngleInDegree = -56.5 'Góc bat dau'
endAngleInDegree = 56.5 'Góc ket thúc'
' Chuyen các góc tao do sang Radian'
startAngleInRadian = startAngleInDegree * 3.141592 / 180
endAngleInRadian = endAngleInDegree * 3.141592 / 180
' Tao doi tuong Arc trong không gian mô hinh'
Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian,
endAngleInRadian)
' Xác dinh các thu0c tính cua cung tron thu 6'
centerPoint(0) = 20: centerPoint(1) = 117.5: centerPoint(2) = 0
radius = 5 'Bán kính'
startAngleInDegree = 123.5 'Góc bat dau'
endAngleInDegree = 236.5 'Góc ket thúc'
' Chuyen các góc tao do sang Radian'

22


startAngleInRadian = startAngleInDegree * 3.141592 / 180
endAngleInRadian = endAngleInDegree * 3.141592 / 180
' Tao doi tuong Arc trong không gian mô hinh'
Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian,
endAngleInRadian)
' Xác dinh các thu0c tính cua cung tron thu 7'
centerPoint(0) = 100: centerPoint(1) = -57.5: centerPoint(2) = 0
radius = 5 'Bán kính'
startAngleInDegree = -56.5 'Góc bat dau'
endAngleInDegree = 56.5 'Góc ket thúc'
' Chuyen các góc tao do sang Radian'
startAngleInRadian = startAngleInDegree * 3.141592 / 180
endAngleInRadian = endAngleInDegree * 3.141592 / 180
' Tao doi tuong Arc trong không gian mô hinh'
Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian,
endAngleInRadian)
' Xác dinh các thu0c tính cua cung tron thu 8'
centerPoint(0) = 100: centerPoint(1) = -57.5: centerPoint(2) = 0
radius = 5 'Bán kính'
startAngleInDegree = 123.5 'Góc bat dau'
endAngleInDegree = 236.5 'Góc ket thúc'
' Chuyen các góc tao do sang Radian'
startAngleInRadian = startAngleInDegree * 3.141592 / 180
endAngleInRadian = endAngleInDegree * 3.141592 / 180
' Tao doi tuong Arc trong không gian mô hinh'
Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian,
endAngleInRadian)

23


' Xác dinh các thu0c tính cua cung tron thu 9'
centerPoint(0) = -27.5: centerPoint(1) = 30: centerPoint(2) = 0
radius = 5 'Bán kính'
startAngleInDegree = 33.5 'Góc bat dau'
endAngleInDegree = 146.5 'Góc ket thúc'
' Chuyen các góc tao do sang Radian'
startAngleInRadian = startAngleInDegree * 3.141592 / 180
endAngleInRadian = endAngleInDegree * 3.141592 / 180
' Tao d0i tuong Arc trong không gian mô hinh'
Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian,
endAngleInRadian)
' Xác dinh các thu0c tính cua cung tron thu 10'
centerPoint(0) = -27.5: centerPoint(1) = 30: centerPoint(2) = 0
radius = 5 'Bán kính'
startAngleInDegree = 213.5 'Góc bat dau'
endAngleInDegree = 326.5 'Góc ket thúc'
' Chuyen các góc tao do sang Radian'
startAngleInRadian = startAngleInDegree * 3.141592 / 180
endAngleInRadian = endAngleInDegree * 3.141592 / 180
' Tao d0i tuong Arc trong không gian mô hinh'
Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian,
endAngleInRadian)
' Xác dinh các thu0c tính cua cung tron thu 11'
centerPoint(0) = 147.5: centerPoint(1) = 30: centerPoint(2) = 0
radius = 5 'Bán kính'
startAngleInDegree = 33.5 'Góc bat dau'
endAngleInDegree = 146.5 'Góc ket thúc'
' Chuyen các góc tao do sang Radian'

24


startAngleInRadian = startAngleInDegree * 3.141592 / 180
endAngleInRadian = endAngleInDegree * 3.141592 / 180
' Tao d0i tuong Arc trong không gian mô hinh'
Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian,
endAngleInRadian)
' Xác dinh các thu0c tính cua cung tron thu 12'
centerPoint(0) = 147.5: centerPoint(1) = 30: centerPoint(2) = 0
radius = 5 'Bán kính'
startAngleInDegree = 213.5 'Góc bat dau'
endAngleInDegree = 326.5 'Góc ket thúc'
' Chuyen các góc tao do sang Radian'
startAngleInRadian = startAngleInDegree * 3.141592 / 180
endAngleInRadian = endAngleInDegree * 3.141592 / 180
' Tao doi tuong Arc trong không gian mô hinh'
Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian,
endAngleInRadian)
ZoomAll

'cac doan thang noi dong mo van cap'
'c1'
diemDau(0) = -7.5: diemDau(1) = 95#: diemDau(2) = 0#
diemCuoi(0) = -7.5: diemCuoi(1) = 105#: diemCuoi(2) = 0#
' Tao doan thang trong không gian mô hinh'
Set lineObj = ThisDrawing.ModelSpace.AddLine(diemDau, diemCuoi)
'c2'
diemDau(0) = -12.5: diemDau(1) = 105#: diemDau(2) = 0#

25


Tài liệu bạn tìm kiếm đã sẵn sàng tải về

Tải bản đầy đủ ngay

×